# How to execute the code? 

## via conda package
1. Run `conda build /.../bachelor-mario-surlemont/python/conda\ package/k_hop_dominating_set_gurobi`
2. Run `conda install --use-local k_hop_dominating_set_gurobi`
3. Run `k_hop_dominating_set_gurobi -g /.../graph.lp -k k` with k being the parameter k of the k-hop dominating set. 

To delete the package just run `conda uninstall --use-local k_hop_dominating_set_gurobi`

:warning: Dependencies might not be installed automatically. You will need the packages _networkx_, _gurobipy_, _matplotlib_!

## as python script
You can use the file *k\_hop\_dom\_set.py* as a python script. 

Usage: `python k_hop_dom_set.py /.../graph.lp k` with k being the parameter k of the k-hop dominating set. 

:warning: the import of _lp_to_nx_graph_ is commented out. This needs to be changed prior to use. 
